# Importing the required TECH file.
import si_fab.all as pdk  # noqa

# import components
from dircoup import BentDirectionalCoupler
from ring import RingResonator
from rlmzi import RingLoadedMZI

# Instantiating the splitters
my_splitter = BentDirectionalCoupler("splitter")
my_splitter.Layout(coupler_length=10.0, bend_angle=30.0, bend_radius=50)
my_combiner = BentDirectionalCoupler("combiner")
my_combiner.Layout(coupler_length=10.0, bend_angle=30.0, bend_radius=50)

# Instantiating the ringresonators

my_ring1 = RingResonator(name="ring1")
my_ring1.Layout(ring_radius=6.0)
my_ring2 = RingResonator(name="ring2")
my_ring2.Layout(ring_radius=7.0)

# Import the Machzender

# Instantiate the MachZender
my_rlmzi = RingLoadedMZI(name="rlmzi", ring1=my_ring1, ring2=my_ring2, splitter=my_splitter, combiner=my_combiner)
my_rlmzi_layout = my_rlmzi.Layout(bend_radius=50)

my_rlmzi_layout.write_gdsii("rlmzi.gds")
my_rlmzi_layout.visualize()
